## kdepim-runtime 4.4.8

=== resourcetester/CMakeLists.txt ===

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )

add_subdirectory( tests )

set( resourcetester_SRCS
  global.cpp
  main.cpp
  resource.cpp
  script.cpp
  test.cpp
  xmloperations.cpp
  collectiontest.cpp
  itemtest.cpp
  qemu.cpp
  system.cpp
  wrappedobject.cpp
)

kde4_add_executable(resourcetester ${resourcetester_SRCS})

target_link_libraries( resourcetester
  akonadi-xml
  ${KDEPIMLIBS_AKONADI_LIBS}
  ${QT_QTCORE_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${QT_QTXML_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
  ${QT_QTNETWORK_LIBRARY}
  ${QT_QTTEST_LIBRARY}
  ${KDE4_KROSSCORE_LIBS}
  ${KDE4_KROSSUI_LIBS}
  ${KDE4_KDECORE_LIBS}
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
)

=== agents/maildispatcher/CMakeLists.txt ===
add_subdirectory( tests )

set( maildispatcheragent_SRCS
  maildispatcheragent.cpp
  outboxqueue.cpp
  sendjob.cpp
  storeresultjob.cpp
  #configdialog.cpp
)

kde4_add_ui_files(maildispatcheragent_SRCS settings.ui)
kde4_add_kcfg_files(maildispatcheragent_SRCS settings.kcfgc)
kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/maildispatcheragent.kcfg org.kde.Akonadi.MailDispatcher.Settings)
qt4_add_dbus_adaptor(maildispatcheragent_SRCS
  ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.MailDispatcher.Settings.xml settings.h Settings
)
# qt4_add_dbus_adaptor( maildispatcheragent_SRCS
# ${KDE4_DBUS_INTERFACES_DIR}/org.kde.Akonadi.MailDispatcher.xml maildispatcheragent.h MailDispatcherAgent
# )

kde4_add_executable(akonadi_maildispatcher_agent ${maildispatcheragent_SRCS})

target_link_libraries(akonadi_maildispatcher_agent ${KDEPIMLIBS_AKONADI_LIBS} ${KDEPIMLIBS_AKONADI_KMIME_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS} ${KDEPIMLIBS_KMIME_LIBS} ${KDEPIMLIBS_MAILTRANSPORT_LIBS} )

install(TARGETS akonadi_maildispatcher_agent ${INSTALL_TARGETS_DEFAULT_ARGS})
install( FILES maildispatcheragent.desktop DESTINATION "${CMAKE_INSTALL_PREFIX}/share/akonadi/agents" )

=== resources/maildir/CMakeLists.txt ===
include_directories(
    ${kdepim-runtime_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/libmaildir
    ${QT_QTDBUS_INCLUDE_DIR}
    ${Boost_INCLUDE_DIR}
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )

add_subdirectory( tests )

# maildir access library
add_subdirectory(libmaildir)


########### next target ###############

set( maildirresource_SRCS
  maildirresource.cpp
  configdialog.cpp
  main.cpp
)

install( FILES maildirresource.desktop DESTINATION "${CMAKE_INSTALL_PREFIX}/share/akonadi/agents" )

kde4_add_ui_files(maildirresource_SRCS settings.ui)

kde4_add_kcfg_files(maildirresource_SRCS settings.kcfgc)

kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/maildirresource.kcfg org.kde.Akonadi.Maildir.Settings)

qt4_add_dbus_adaptor(maildirresource_SRCS
  ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.Maildir.Settings.xml settings.h Settings
)

kde4_add_executable(akonadi_maildir_resource ${maildirresource_SRCS})

target_link_libraries(akonadi_maildir_resource ${KDEPIMLIBS_AKONADI_LIBS} ${KDEPIMLIBS_AKONADI_KMIME_LIBS} maildir ${QT_QTDBUS_LIBRARY} ${KDE4_KIO_LIBS} ${KDEPIMLIBS_KMIME_LIBS})

install(TARGETS akonadi_maildir_resource ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.Maildir.Settings.xml
        DESTINATION ${KDE4_DBUS_INTERFACES_DIR})

=== resources/vcarddir/CMakeLists.txt ===
include_directories(
    ${kdepim-runtime_SOURCE_DIR}
    ${QT_QTDBUS_INCLUDE_DIR}
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )


########### next target ###############

set( vcarddirresource_SRCS
  vcarddirresource.cpp
  settingsdialog.cpp
)

kde4_add_ui_files(vcarddirresource_SRCS settingsdialog.ui)
kde4_add_kcfg_files(vcarddirresource_SRCS settings.kcfgc)
kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/vcarddirresource.kcfg org.kde.Akonadi.VCardDirectory.Settings)
qt4_add_dbus_adaptor(vcarddirresource_SRCS
  ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.VCardDirectory.Settings.xml settings.h Settings
)

install( FILES vcarddirresource.desktop DESTINATION "${CMAKE_INSTALL_PREFIX}/share/akonadi/agents" )

kde4_add_executable(akonadi_vcarddir_resource ${vcarddirresource_SRCS})
target_link_libraries(akonadi_vcarddir_resource
  ${KDEPIMLIBS_AKONADI_LIBS}
  ${QT_QTCORE_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  ${KDEPIMLIBS_KABC_LIBS}
  ${KDE4_KIO_LIBS}
)

install(TARGETS akonadi_vcarddir_resource ${INSTALL_TARGETS_DEFAULT_ARGS})

## kdepim-runtime 4.4.6

=== debian/changelog ===
kdepim-runtime (4:4.4.6-0ubuntu1) maverick; urgency=low

  [ Rohan Garg ]
  * New upstream release
  * Convert to source format 3.0

  [ Alessandro Ghersi ]
  * Bump build-dependencies

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 10 Sep 2010 17:31:34 +0530

kdepim-runtime (4:4.4.5-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 28 Jun 2010 14:00:53 +0100

kdepim-runtime (4:4.4.4-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump build-depends
    - Bump soname in kdepim-runtime.install
  * Switch to dpkg-source 3.0 (quilt) format
    - Remove README.source no longer need

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 08 Jun 2010 19:57:47 +0200

kdepim-runtime (4:4.4.3-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Keep versioned boost build-depends

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 20 May 2010 22:33:10 +0200

kdepim-runtime (4:4.4.3-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Bump kde-sc-dev-latest build dependency to 4.4.3.
  * Release KDE SC 4.4.3 to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 01 May 2010 23:37:56 +0300

kdepim-runtime (4:4.4.3-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release
    - Bump KDE build-depends to 4.4.3

 -- Christian Mangold <neversfelde@ubuntu.com>  Fri, 30 Apr 2010 23:00:56 +0200

kdepim-runtime (4:4.4.2-1) experimental; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Add myself as uploader.
  * Fix Vcs-Browser URL.
  * Bump Standards-Version to 3.8.4: no changes neeeded.
  * Bump KDE build dependencies to 4:4.4.
  * Drop libknotificationitem-1-dev from Build-depends. No longer needed.
  * Add kde-sc-dev-latest (>= 4:4.4.2) to Build-Depends.
  * Bump pkg-kde-tools build dependency to 0.6.4.
  * Bump akonadi build dependency to 1.3.0.
  * Add new build depends:
    - libstreamanalyzer-dev;
    - shared-mime-info (>= 0.30);
    - shared-desktop-ontologies (>= 0.2);
  * Add lintian overrides.
  * Add README.source.
  * Switch kdepim-runtime-dbg section to debug and priority to extra.
  * Make kdepim-runtime depend on the kdepimlibs-kio-plugins package.
  * Make kdepim-runtime depend on akonadi-server (>= 1.3).
  * Make kdepim-runtime break kdepimlibs5 (<< 4:4.4).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 09 Apr 2010 18:40:01 +0300

kdepim-runtime (4:4.4.2-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-depends

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 27 Mar 2010 14:48:17 +0100

kdepim-runtime (4:4.4.1-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-dependends

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 27 Feb 2010 05:11:37 +0100

kdepim-runtime (4:4.4.0-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-dependends

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 04 Feb 2010 20:25:45 +0100

kdepim-runtime (4:4.3.98-0ubuntu1) lucid; urgency=low

  [ Christian Mangold ]
  * New upstream release candidate
    - Bump build dep versions

  [ Alessandro Ghersi ]
  * Bump Qt to 4.6.1

 -- Christian Mangold <neversfelde@ubuntu.com>  Mon, 01 Feb 2010 22:52:14 +0100

kdepim-runtime (4:4.3.95-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Bump build-depend versions

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 20 Jan 2010 13:24:58 +0100

kdepim-runtime (4:4.3.90-0ubuntu1) lucid; urgency=low

  * New upstream beta release:
    - Bump build-depend versions

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 06 Jan 2010 18:57:08 -0500

kdepim-runtime (4:4.3.85-0ubuntu2) lucid; urgency=low

  * Remove debian/patches/* to fix FTBFS due to lack of quilt build-dep

 -- Scott Kitterman <scott@kitterman.com>  Tue, 22 Dec 2009 09:19:25 -0500

kdepim-runtime (4:4.3.85-0ubuntu1) lucid; urgency=low

  * New upstream beta release:
    - Bump build-depend versions
    - Remove kubuntu_01_akonadiconsole_to_system.diff, akonadiconsole removed
      upstream
    - Update kdepim-runtime.install

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 18 Dec 2009 16:47:43 -0500

kdepim-runtime (4:4.3.80-0ubuntu1) lucid; urgency=low

  * New upstream beta release:
    - Refresh all patches
    - Bump build-depend versions
    - Remove build-depend on libknotificationitem-dev, it's part of
      kdelibs5-dev now
    - Add build-depend on shared-desktop-ontologies for nepomuk support
    - Add build-depend on libstreamanalyzer-dev for strigi support
    - Add build-depend on libx11-dev to prevent FTBFS
    - Update various .install files

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 03 Dec 2009 15:38:40 -0500

kdepim-runtime (4:4.3.4-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Modestas Vainius:

  * Bump KDE build dependencies to current version.
  * Update install files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 09 Dec 2009 00:24:11 +0200

kdepim-runtime (4:4.3.3-0ubuntu3) lucid; urgency=low

  * Add missing epoch to Qt build-depends version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Nov 2009 13:47:01 +0000

kdepim-runtime (4:4.3.3-0ubuntu2) lucid; urgency=low

  * Rebuild against Qt 4.6 rc 1, which is binary incompatible with 4.6
    beta

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Nov 2009 08:59:54 +0000

kdepim-runtime (4:4.3.3-0ubuntu1) lucid; urgency=low

  * Merge with Debian testing, remaining changes:
    - Keep versioned boost build-depends
    - Keep build-depend on libknotificationitem-dev rather than -1-dev
    - Keep kubuntu_01_akonadiconsole_to_system.diff
    - Replace/conflict old kdepim-runtime packages
    - kdepim-runtime depends on akonadi-server

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 07 Nov 2009 18:45:28 -0500



=== debian/control ===
Source: kdepim-runtime
Section: x11
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.5.1),
 cdbs, debhelper (>= 7.3.16), quilt, cmake, pkg-kde-tools (>= 0.6.4),
 kdelibs5-dev (>= 4:4.5), kdepimlibs5-dev (>= 4:4.4), libakonadi-dev (>= 1.3.85),
 libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost1.42-dev (>= 1.42.0),
 libstreamanalyzer-dev, shared-mime-info (>= 0.30), shared-desktop-ontologies (>= 0.5)
Standards-Version: 3.8.4
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kdepim-runtime/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kdepim-runtime/ubuntu

Package: kdepim-runtime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdepimlibs-kio-plugins, akonadi-server (>= 1.3)
Replaces: akonadi-kde, libmaildir4
Breaks: kdepimlibs5 (<< 4:4.4)
Description: Runtime components for akonadi-kde
 This package contains akonadi agents written using kdelibs.
 Any package that uses akonadi should probably pull this in as a dependency.
 The kres-bridges is also parts of this package.
 .
 This package is part of the kdepim-runtime module.

Package: kdepim-runtime-dbg
Section: debug
Priority: extra
Architecture: any
Replaces: kdepim-dbg
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: debugging files for akonadi kde runtime components
 This package contains debugging symbols.
 .
 This package is part of the kdepim-runtime module.

## kdepim-runtime 4.4.7

=== debian/changelog ===
kdepim-runtime (4:4.4.7-1) unstable; urgency=low

  * New upstream release.

 -- Modestas Vainius <modax@debian.org>  Fri, 22 Oct 2010 21:41:43 +0300

kdepim-runtime (4:4.4.6-1) unstable; urgency=low

  * New upstream bugfix release.
  * Point debian/control Vcs fields to the new Git repository.
  * Fix a race between akonado_nepomuk_*_feeder_automoc and
    autogeneration of ontology headers (nie.h). (Closes: #596908)

 -- Modestas Vainius <modax@debian.org>  Sat, 18 Sep 2010 20:18:58 +0300

kdepim-runtime (4:4.4.5-1) unstable; urgency=low

  * New upstream release.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.5.

 -- Modestas Vainius <modax@debian.org>  Sun, 04 Jul 2010 19:00:52 +0300

kdepim-runtime (4:4.4.4-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Bump pkg-kde-tools build dependency to (>= 0.9) for HTML_INSTALL_DIR
    switch and 3.0 (quilt) source format support.
  * Switch to 3.0 (quilt) source package format and original tar.bz2
    tarballs.
  * Drop quilt from Build-Depends, no longer needed for 3.0 (quilt).
  * Remove debian/README.source. Patch support is part of source format
    now.
  * Drop quilt-build-dep-but-no-series-file from lintian source overrides,
    it is no longer relevant.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.4.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 01 Jun 2010 01:15:17 +0300

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: kdepim-runtime
 Section: x11
 Priority: extra
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.5.1),
- cdbs, debhelper (>= 7.3.16), quilt, cmake, pkg-kde-tools (>= 0.6.4),
- kdelibs5-dev (>= 4:4.5), kdepimlibs5-dev (>= 4:4.4), libakonadi-dev (>= 1.3.85),
- libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost1.42-dev (>= 1.42.0),
- libstreamanalyzer-dev, shared-mime-info (>= 0.30), shared-desktop-ontologies (>= 0.5)
+Build-Depends: kde-sc-dev-latest (>= 4:4.4.5),
+ cdbs, debhelper (>= 7.3), cmake, pkg-kde-tools (>= 0.9),
+ kdelibs5-dev (>= 4:4.4), kdepimlibs5-dev (>= 4:4.4), libakonadi-dev (>= 1.3.0),
+ libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost-dev (>= 1.40.0-2),
+ libstreamanalyzer-dev, shared-mime-info (>= 0.30), shared-desktop-ontologies (>= 0.2)
 Standards-Version: 3.8.4
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kdepim-runtime/ubuntu
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kdepim-runtime/ubuntu
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdepim-runtime.git
+Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdepim-runtime.git
 
 Package: kdepim-runtime
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

## kdepim-runtime 4.4.9

=== debian/changelog ===
kdepim-runtime (4:4.4.9-0ubuntu0.1) maverick-proposed; urgency=low

  * New upstream release per KDE microversion update exception (LP: #721269)
    - Fix so versions for building with KDE 4.5
    - Bump down kde-sc-dev-latest and kdelibs5-dev to 4.5.1 to build for maverick

 -- Scott Kitterman <scott@kitterman.com>  Fri, 18 Feb 2011 12:45:11 -0500

kdepim-runtime (4:4.4.6-1ubuntu1) natty; urgency=low

  * Merge with Debian unstable remaining changes:
    - Bump soname in kdepim-runtime.install
    - Keep versioned boost build-depends
    - Build against kdelibs5-dev 4.5.2-0ubuntu1 for libkutils4 transition

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 17 Oct 2010 03:32:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: kdepim-runtime
 Section: x11
 Priority: extra
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.4.5),
- cdbs, debhelper (>= 7.3), cmake, pkg-kde-tools (>= 0.9),
- kdelibs5-dev (>= 4:4.4), kdepimlibs5-dev (>= 4:4.4), libakonadi-dev (>= 1.3.0),
- libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost-dev (>= 1.40.0-2),
+Build-Depends: kde-sc-dev-latest (>= 4:4.5.1),
+ cdbs, debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.9),
+ kdelibs5-dev (>= 4:4.5.1-0ubuntu1), kdepimlibs5-dev (>= 4:4.4), libakonadi-dev (>= 1.3.0),
+ libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost1.42-dev (>= 1.42.0-2),
  libstreamanalyzer-dev, shared-mime-info (>= 0.30), shared-desktop-ontologies (>= 0.2)
 Standards-Version: 3.8.4
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdepim-runtime.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdepim-runtime.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kdepim-runtime/ubuntu
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kdepim-runtime/ubuntu
 
 Package: kdepim-runtime
 Architecture: any

## kdepim-runtime 4.4.10

=== migration/kaddressbook/CMakeLists.txt ===
set( kaddressbookmigrator_SRCS kaddressbookmigrator.cpp )

kde4_add_executable( kaddressbookmigrator ${kaddressbookmigrator_SRCS} )

target_link_libraries(kaddressbookmigrator ${KDE4_KDECORE_LIBS} ${KDEPIMLIBS_KABC_LIBS})

install(TARGETS kaddressbookmigrator ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES  kaddressbookmigrator.desktop DESTINATION ${AUTOSTART_INSTALL_DIR})

=== resources/contacts/CMakeLists.txt ===
include_directories(
    ${kdepim-runtime_SOURCE_DIR}
    ${QT_QTDBUS_INCLUDE_DIR}
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )


########### next target ###############

set( contactsresource_SRCS
  contactsresource.cpp
  settingsdialog.cpp
)

kde4_add_ui_files(contactsresource_SRCS settingsdialog.ui)
kde4_add_kcfg_files(contactsresource_SRCS settings.kcfgc)
kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/contactsresource.kcfg org.kde.Akonadi.Contacts.Settings)
qt4_add_dbus_adaptor(contactsresource_SRCS
  ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.Contacts.Settings.xml settings.h Settings
)

install( FILES contactsresource.desktop DESTINATION "${CMAKE_INSTALL_PREFIX}/share/akonadi/agents" )

kde4_add_executable(akonadi_contacts_resource ${contactsresource_SRCS})
target_link_libraries(akonadi_contacts_resource
  ${KDEPIMLIBS_AKONADI_LIBS}
  ${QT_QTCORE_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  ${KDEPIMLIBS_KABC_LIBS}
  ${KDE4_KIO_LIBS}
)

install(TARGETS akonadi_contacts_resource ${INSTALL_TARGETS_DEFAULT_ARGS})

=== resources/ical/CMakeLists.txt ===
include_directories(
    ${kdepim-runtime_SOURCE_DIR}
    ${QT_QTDBUS_INCLUDE_DIR}
    ${Boost_INCLUDE_DIR}
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )

add_subdirectory( notes )
add_subdirectory( tests )

########### next target ###############

set( icalresource_SRCS
  ${AKONADI_SINGLEFILERESOURCE_SHARED_SOURCES}
  icalresourcebase.cpp
  icalresource.cpp
  icalresourcemain.cpp
)

install( FILES icalresource.desktop DESTINATION "${CMAKE_INSTALL_PREFIX}/share/akonadi/agents" )

kde4_add_ui_files(icalresource_SRCS ${AKONADI_SINGLEFILERESOURCE_SHARED_UI})
kde4_add_kcfg_files(icalresource_SRCS settings.kcfgc)
kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/icalresource.kcfg org.kde.Akonadi.ICal.Settings)
qt4_add_dbus_adaptor(icalresource_SRCS
  ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.ICal.Settings.xml settings.h Settings
)

kde4_add_executable(akonadi_ical_resource ${icalresource_SRCS})

target_link_libraries(akonadi_ical_resource ${KDEPIMLIBS_AKONADI_LIBS} ${KDEPIMLIBS_AKONADI_KCAL_LIBS} ${QT_QTDBUS_LIBRARY} ${KDEPIMLIBS_KCAL_LIBS} ${KDE4_KIO_LIBS})

install(TARGETS akonadi_ical_resource ${INSTALL_TARGETS_DEFAULT_ARGS})

=== resources/maildir/CMakeLists.txt ===
--- 
+++ 
@@ -39,4 +39,4 @@
 
 install(TARGETS akonadi_maildir_resource ${INSTALL_TARGETS_DEFAULT_ARGS})
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.Maildir.Settings.xml
-        DESTINATION ${KDE4_DBUS_INTERFACES_DIR})
+        DESTINATION ${DBUS_INTERFACES_INSTALL_DIR})

=== resources/vcard/CMakeLists.txt ===
include_directories(
    ${kdepim-runtime_SOURCE_DIR}
    ${QT_QTDBUS_INCLUDE_DIR}
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )
add_subdirectory( tests )

########### next target ###############

set( vcardresource_SRCS
  ${AKONADI_SINGLEFILERESOURCE_SHARED_SOURCES}
  vcardresource.cpp
)

install( FILES vcardresource.desktop DESTINATION "${CMAKE_INSTALL_PREFIX}/share/akonadi/agents" )

kde4_add_ui_files(vcardresource_SRCS ${AKONADI_SINGLEFILERESOURCE_SHARED_UI})
kde4_add_kcfg_files(vcardresource_SRCS settings.kcfgc)
kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/vcardresource.kcfg org.kde.Akonadi.VCard.Settings)
qt4_add_dbus_adaptor(vcardresource_SRCS
  ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.VCard.Settings.xml settings.h Settings
)

kde4_add_executable(akonadi_vcard_resource ${vcardresource_SRCS})

target_link_libraries(akonadi_vcard_resource ${KDEPIMLIBS_AKONADI_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${KDE4_KDECORE_LIBS} ${KDEPIMLIBS_KABC_LIBS} ${KDE4_KIO_LIBS})

install(TARGETS akonadi_vcard_resource ${INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kdepim-runtime (4:4.4.10-0ubuntu2) natty; urgency=low

  * Don't install the akonaditray desktop file anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 28 Feb 2011 22:26:56 +0100

kdepim-runtime (4:4.4.10-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Jan 2011 15:49:11 +0000

kdepim-runtime (4:4.4.9-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Wed, 22 Dec 2010 18:15:30 -0500

kdepim-runtime (4:4.4.8-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@ubuntu.com>  Mon, 06 Dec 2010 17:50:59 +0530

kdepim-runtime (4:4.4.7-0ubuntu2) natty; urgency=low

  * Bump so version to 4.6.0 in debian/kdepim-runtime.install for rebuild
    against KDE 4.6 kdepimlibs and new akonadi
  * Bump minimum version of kde-sc-dev-latest and kdepimlibs5-dev to 4:4.5.80

 -- Scott Kitterman <scott@kitterman.com>  Wed, 24 Nov 2010 19:48:13 -0500

kdepim-runtime (4:4.4.7-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 23 Oct 2010 20:23:11 +0200

kdepim-runtime (4:4.4.6-0ubuntu2) natty; urgency=low

  * Merge with Debian unstable remaining changes:
    - Bump soname in kdepim-runtime.install
    - Keep versioned boost build-depends
    - Build against kdelibs5-dev 4.5.2-0ubuntu1 for libkutils4 transition

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 17 Oct 2010 03:32:44 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.5.1),
+Build-Depends: kde-sc-dev-latest (>= 4:4.5.80),
  cdbs, debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.9),
- kdelibs5-dev (>= 4:4.5.1-0ubuntu1), kdepimlibs5-dev (>= 4:4.4), libakonadi-dev (>= 1.3.0),
+ kdelibs5-dev (>= 4:4.5.2-0ubuntu1), kdepimlibs5-dev (>= 4:4.5.80), libakonadi-dev (>= 1.4.1),
  libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost1.42-dev (>= 1.42.0-2),
  libstreamanalyzer-dev, shared-mime-info (>= 0.30), shared-desktop-ontologies (>= 0.2)
 Standards-Version: 3.8.4

## kdepim-runtime 4.4.11.1

=== plugins/CMakeLists.txt ===
add_subdirectory( tests )

include_directories(
        ${Boost_INCLUDE_DIR}
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )


set(akonadi_serializer_addressee_PART_SRCS akonadi_serializer_addressee.cpp )
kde4_add_plugin(akonadi_serializer_addressee ${akonadi_serializer_addressee_PART_SRCS})
target_link_libraries(akonadi_serializer_addressee ${KDE4_KDECORE_LIBS} ${KDEPIMLIBS_KABC_LIBS} ${KDEPIMLIBS_AKONADI_LIBS} ${KDEPIMLIBS_AKONADI_KABC_LIBS})
install(TARGETS akonadi_serializer_addressee DESTINATION ${PLUGIN_INSTALL_DIR})

set(akonadi_serializer_mail_PART_SRCS akonadi_serializer_mail.cpp )
kde4_add_plugin(akonadi_serializer_mail ${akonadi_serializer_mail_PART_SRCS})
target_link_libraries(akonadi_serializer_mail ${KDE4_KDECORE_LIBS} ${KDEPIMLIBS_KMIME_LIBS} ${KDEPIMLIBS_AKONADI_LIBS} ${KDEPIMLIBS_AKONADI_KMIME_LIBS} ${AKONADI_COMMON_LIBRARIES} )
install(TARGETS akonadi_serializer_mail DESTINATION ${PLUGIN_INSTALL_DIR})

set(akonadi_serializer_kcal_SRCS akonadi_serializer_kcal.cpp)
kde4_add_plugin(akonadi_serializer_kcal ${akonadi_serializer_kcal_SRCS})
target_link_libraries(akonadi_serializer_kcal ${KDE4_KDECORE_LIBS} ${KDEPIMLIBS_KCAL_LIBS} ${KDEPIMLIBS_AKONADI_LIBS})
install(TARGETS akonadi_serializer_kcal DESTINATION ${PLUGIN_INSTALL_DIR})

if(KDEPIMLIBS_KCALCORE_LIBS)
  set(akonadi_serializer_kcalcore_SRCS akonadi_serializer_kcalcore.cpp)
  kde4_add_plugin(akonadi_serializer_kcalcore ${akonadi_serializer_kcalcore_SRCS})
  target_link_libraries(akonadi_serializer_kcalcore ${KDE4_KDECORE_LIBS} ${KDEPIMLIBS_KCALUTILS_LIBS} ${KDEPIMLIBS_KCALCORE_LIBS} ${KDEPIMLIBS_AKONADI_LIBS})
  install(TARGETS akonadi_serializer_kcalcore DESTINATION ${PLUGIN_INSTALL_DIR})
endif()

set(akonadi_serializer_bookmark_SRCS akonadi_serializer_bookmark.cpp)
kde4_add_plugin(akonadi_serializer_bookmark ${akonadi_serializer_bookmark_SRCS})
target_link_libraries(akonadi_serializer_bookmark ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS} ${KDEPIMLIBS_AKONADI_LIBS})
install(TARGETS akonadi_serializer_bookmark DESTINATION ${PLUGIN_INSTALL_DIR})

set(akonadi_serializer_contactgroup_PART_SRCS akonadi_serializer_contactgroup.cpp )
kde4_add_plugin(akonadi_serializer_contactgroup ${akonadi_serializer_contactgroup_PART_SRCS})
target_link_libraries(akonadi_serializer_contactgroup ${KDE4_KDECORE_LIBS} ${KDEPIMLIBS_KABC_LIBS} ${KDEPIMLIBS_AKONADI_LIBS} ${KDEPIMLIBS_AKONADI_KABC_LIBS})
install(TARGETS akonadi_serializer_contactgroup DESTINATION ${PLUGIN_INSTALL_DIR})

set( akonadi_serializer_microblog_SRCS akonadi_serializer_microblog.cpp )
kde4_add_plugin(akonadi_serializer_microblog ${akonadi_serializer_microblog_SRCS})
target_link_libraries(akonadi_serializer_microblog ${KDEPIMLIBS_AKONADI_LIBS} ${QT_QTCORE_LIBRARY} ${KDE4_KDECORE_LIBS} ${QT_QTXML_LIBRARY} ${KDEPIMLIBS_KPIMUTILS_LIBS} ${KDEPIMLIBS_MICROBLOG_LIBS})
install(TARGETS akonadi_serializer_microblog DESTINATION ${PLUGIN_INSTALL_DIR})

########### install files ###############

install( FILES
  akonadi_serializer_addressee.desktop
  akonadi_serializer_mail.desktop
  akonadi_serializer_kcal.desktop
  akonadi_serializer_kcalcore.desktop
  akonadi_serializer_bookmark.desktop
  akonadi_serializer_contactgroup.desktop
  akonadi_serializer_microblog.desktop
DESTINATION ${DATA_INSTALL_DIR}/akonadi/plugins/serializer)

=== agents/nepomuk_calendar_feeder/CMakeLists.txt ===
include_directories(
  ${kdepim-runtime_SOURCE_DIR}
  ${Boost_INCLUDE_DIR}
  ${NEPOMUK_INCLUDES}
  )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )
add_definitions(-DNEPOMUK_RESOURCE_STATIC)

# FIXME: currently the ontology2vocabularyclass tool generates invalid code on the NCAL ontology
soprano_add_ontology(vocabulary_srcs ${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/nie/ncal.trig "NCAL" "Vocabulary" "trig")
set( vocabulary_srcs ncal.cpp )

kde4_add_executable(akonadi_nepomuk_calendar_feeder nepomukcalendarfeeder.cpp ${NEPOMUKFEEDER_SHARED_SRCS} ${vocabulary_srcs})

target_link_libraries(akonadi_nepomuk_calendar_feeder
  ${NEPOMUKFEEDER_SHARED_LIBS}
  ${KDEPIMLIBS_AKONADI_KCAL_LIBS}
  ${KDEPIMLIBS_KCAL_LIBS}
)

## Patch from http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=596908
## We've not seen the reported issue, but it's better to have patches upstream,
## so we take it in.
# akonadi_nepomuk_calendar_feeder_automoc depend on the presence of the
# ontology class headers. We can be sure that they are present when niefast
# target is built. This is needed to avoid a race condition when building in
# parallel.
add_dependencies( akonadi_nepomuk_calendar_feeder_automoc niefast )

install(TARGETS akonadi_nepomuk_calendar_feeder ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES nepomukcalendarfeeder.desktop DESTINATION "${CMAKE_INSTALL_PREFIX}/share/akonadi/agents")

=== debian/changelog ===
kdepim-runtime (4:4.4.11.1-6) unstable; urgency=low

  * Team upload.
  * Do not install the nepomuk feeders. They fill the nepomuk database with
    data in ways that makes nepomuk queries amazingly slow. This came from
    a discussion with upstream (Closes: #696054).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 16 Dec 2012 13:11:35 -0300

kdepim-runtime (4:4.4.11.1-5) unstable; urgency=low

  * Add epoch to kdepim-runtime-dbg Breaks/Replaces on kdepim-dbg.
  * Make kdepim-runtime-dbg depend on kdepim-runtime.
  * Make kdepim-rumtime priority: optional since it is injected via shlibs into
    depends of many other optional packages.

 -- Modestas Vainius <modax@debian.org>  Sun, 24 Jun 2012 13:11:53 +0300

kdepim-runtime (4:4.4.11.1-4) unstable; urgency=low

  * Team upload.

  [ Michael Biebl ]
  * Hide akonaditray to not show up in the menu. (Closes: #613718)

  [ Pino Toscano ]
  * Override GENERIC_LIB_VERSION and KDE_NON_GENERIC_LIB_VERSION to not depend
    on the kdelibs version. (Closes: #665060)
  * Add Homepage in control.
  * Small touches to the descriptions.
  * Bump Standards-Version to 3.9.3, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 25 May 2012 14:33:17 +0200

kdepim-runtime (4:4.4.11.1-3) unstable; urgency=low

  [ Modestas Vainius ]
  * Version kdepim-dbg Breaks/Replaces. Otherwise, kdepim-runtime-dbg is not
    co-installable with kdepim-dbg.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump Standards-Version. No changes required.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 26 Nov 2011 21:43:16 -0300

kdepim-runtime (4:4.4.11.1-2) unstable; urgency=low

  * Release to unstable.

 -- Modestas Vainius <modax@debian.org>  Thu, 26 May 2011 22:55:30 +0300

kdepim-runtime (4:4.4.11.1-1) experimental; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Update installed files.
  * Bump build dependencies:
    - kdelibs5-dev to 4:4.6
    - kdepimlibs5-dev  to 4:4.6
    - libakonadi-dev to 1.5.0
    - kde-sc-dev-latest to 4:4.6.2
  * Bump S-V to 3.9.1: add Breaks next to Replaces where needed.
  * Refresh patch.
  * Add debian/not-installed.
  * Add myself to Uploaders.

  [ Modestas Vainius ]
  * Add abort-on-upstream-changes to debian/source/local-options.
  * Switch debian/rules engine to dhmk qt-kde-team/2/*.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 27 Apr 2011 12:23:43 +0300

=== debian/control ===
Source: kdepim-runtime
Section: x11
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.6.2),
 debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.6), kdepimlibs5-dev (>= 4:4.6), libakonadi-dev (>= 1.5.0),
 libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost-dev (>= 1.40.0-2),
 libstreamanalyzer-dev, shared-mime-info (>= 0.30), shared-desktop-ontologies (>= 0.2)
Standards-Version: 3.9.3
Homepage: http://pim.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdepim-runtime.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdepim-runtime.git

Package: kdepim-runtime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdepimlibs-kio-plugins, akonadi-server (>= 1.3)
Replaces: akonadi-kde, libmaildir4
Breaks: akonadi-kde, libmaildir4, kdepimlibs5 (<< 4:4.4)
Description: runtime components for Akonadi KDE
 This package contains Akonadi agents written using KDE Development Platform
 libraries.
 Any package that uses Akonadi should probably pull this in as a dependency.
 The kres-bridges is also parts of this package.
 .
 This package is part of the kdepim-runtime module.

Package: kdepim-runtime-dbg
Section: debug
Priority: extra
Architecture: any
Replaces: kdepim-dbg (<< 4:4.4)
Breaks: kdepim-dbg (<< 4:4.4)
Depends: ${misc:Depends}, kdepim-runtime (= ${binary:Version})
Description: debugging files for Akonadi KDE runtime components
 This package contains debugging symbols associated with kdepim-runtime.
 They will automatically be used by gdb for debugging issues related to
 components of kdepim-runtime.
 .
 This package is part of the kdepim-runtime module.

## kdepim-runtime 4.7.2+git111007

=== CMakeLists.txt ===
project(kdepim-runtime)

# where to look first for cmake modules. This line must be the first one or cmake will use the system's FindFoo.cmake
set(CMAKE_MODULE_PATH ${kdepim-runtime_SOURCE_DIR}/cmake/modules)

add_definitions( -DDISABLE_NEPOMUK_LEGACY )

############### KDEPIM-Runtime version ################
# KDEPIM_RUNTIME_VERSION
# Version scheme: "x.y.z build".
#
# x is the version number.
# y is the major release number.
# z is the minor release number.
#
# "x.y.z" follow the kdelibs version kdepim is released with.
#
# If "z" is 0, it the version is "x.y"
#
# KDEPIM_RUNTIME_DEV_VERSION
# is empty for final versions. For development versions "build" is
# something like "pre", "alpha1", "alpha2", "beta1", "beta2", "rc1", "rc2".
#
# Examples in chronological order:
#
#    3.0
#    3.0.1
#    3.1 alpha1
#    3.1 beta1
#    3.1 beta2
#    3.1 rc1
#    3.1
#    3.1.1
#    3.2 pre
#    3.2 alpha1

if (NOT DEFINED KDEPIM_RUNTIME_DEV_VERSION)
    set( KDEPIM_RUNTIME_DEV_VERSION "" )
endif ()

set( KDEPIM_RUNTIME_VERSION "4.7.2${KDEPIM_RUNTIME_DEV_VERSION}" )

############### search-related options ################
option(KDEPIM_NO_NEPOMUK "Build without nepomuk dependency" FALSE)

if(KDEPIM_NO_NEPOMUK)
  add_definitions(-DKDEPIM_NO_NEPOMUK)
endif(KDEPIM_NO_NEPOMUK)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)


############### search packages used by KDE ###############

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

find_package(KdepimLibs 4.6.41 REQUIRED)

find_package(Boost 1.34.0)
macro_log_feature(Boost_FOUND "Boost" "Boost C++ Libraries" "http://www.boost.org" TRUE "1.34.0" "Required by Akonadi.")

set(AKONADI_MIN_VERSION 1.4.91)
find_package(Akonadi)
macro_log_feature(Akonadi_FOUND "Akonadi" "Akonadi server libraries" "http://pim.kde.org/akonadi" TRUE "${AKONADI_MIN_VERSION}" "Akonadi is required to build kdepim-runtime.")

set(SHARED_MIME_INFO_MINIMUM_VERSION "0.30")
find_package(SharedMimeInfo)
macro_log_feature(SHARED_MIME_INFO_FOUND "SMI" "SharedMimeInfo" "http://freedesktop.org/wiki/Software/shared-mime-info" TRUE "0.30" "SharedMimeInfo is required.")

find_package(LibXml2)
macro_log_feature(LIBXML2_FOUND "LibXML2" "Libraries used to develop XML applications" "http://xmlsoft.org" FALSE "" "Needed for building the knut Akonadi resource.")

set(SDO_MIN_VERSION 0.6.51)
set(SOPRANO_MIN_VERSION 2.3.70)

if(NOT KDEPIM_NO_NEPOMUK)

find_package(SharedDesktopOntologies ${SDO_MIN_VERSION})
macro_log_feature(SHAREDDESKTOPONTOLOGIES_FOUND "Shared desktop ontologies" "Desktop ontologies" "http://oscaf.sourceforge.net" TRUE "${SDO_MIN_VERSION}" "Ontologies necessary for the Nepomuk semantic desktop.")

find_package(Soprano)
macro_log_feature(Soprano_FOUND "Soprano" "Semantic Desktop Storing" "http://soprano.sourceforge.net" TRUE "${SOPRANO_MIN_VERSION}" "Soprano is needed for Nepomuk")

find_package(Nepomuk)
macro_log_feature(Nepomuk_FOUND "Nepomuk" "The Nepomuk libraries" "http://www.kde.org" TRUE "" "Nepomuk extends the search and tagging functionalities in KMail and Akonadi")

else( NOT KDEPIM_NO_NEPOMUK )

message( STATUS "Skipping detection of Nepomuk dependencies, feature is disabled." )

endif(NOT KDEPIM_NO_NEPOMUK)

find_package(Strigi)
macro_log_feature(STRIGI_FOUND "Strigi" "Index metadata of files" "http://strigi.sourceforge.net" FALSE "" "")

############### search programs & libraries used by kdepim-runtime ###############

find_program(XSLTPROC_EXECUTABLE xsltproc)
macro_log_feature(XSLTPROC_EXECUTABLE "xsltproc" "The command line XSLT processor from libxslt" "http://xmlsoft.org/XSLT/" TRUE "" "Required for building Akonadi.")

find_library(STRIGIQTDBUSCLIENT_LIBRARY NAMES strigiqtdbusclient
  PATHS
  /usr/lib
  /usr/local/lib
  ${LIB_INSTALL_DIR}
  $ENV{STRIGI_HOME}/lib
)
macro_log_feature(STRIGIQTDBUSCLIENT_LIBRARY "strigi indexing" "Strigi built with indexing" "http://strigi.sourceforge.net/" FALSE "" "For Akonadi tools such as the message searchprovider")


############### Load the CTest options ###############

# CMake is irritating and doesn't allow setting the tests timeout globally.
# Let's work around this. The global timeout is now 2 minutes.
set(_DartConfigFile "${CMAKE_BINARY_DIR}/DartConfiguration.tcl")
if(EXISTS ${_DartConfigFile})
  set(DartTestingTimeout "120")
  file(READ ${_DartConfigFile} _DartConfigFile_content)
  string(REGEX REPLACE "TimeOut: 1500" "TimeOut: ${DartTestingTimeout}" _DartConfigFile_content ${_DartConfigFile_content})
  file(WRITE ${_DartConfigFile} ${_DartConfigFile_content})
endif()

# CTestCustom.cmake has to be in the CTEST_BINARY_DIR.
# in the KDE build system, this is the same as CMAKE_BINARY_DIR.
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_CURRENT_BINARY_DIR}/CTestCustom.cmake)


############### Desktop vs. Mobile options ##############

option(KDEPIM_MOBILE_UI "Build UI for mobile devices instead of for desktops" FALSE)
if (KDEPIM_MOBILE_UI)
  macro_log_feature(QT_QTDECLARATIVE_FOUND "QtDeclarative" "Qt Declarative (QML) module" "http://qt.nokia.com" TRUE "4.7" "Required for building mobile UI")
  add_definitions( -DKDEPIM_MOBILE_UI )
endif (KDEPIM_MOBILE_UI)

if(WINCE)
  set(LIBRARY_TYPE STATIC)
  add_definitions(-DKDEPIM_STATIC_LIBS)
else(WINCE)
  set(LIBRARY_TYPE SHARED)
endif(WINCE)

#FIXME: kde4_add_plugin doesn't have a parameter to build the plugins statically.
if (RUNTIME_PLUGINS_STATIC)
  set(SERIALIZER_TYPE STATIC)
endif (RUNTIME_PLUGINS_STATIC)

############### Enterprise build options #################

option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)

# config-enterprise.h is needed for both ENTERPRISE_BUILD and BUILD_EVERYTHING
configure_file(config-enterprise.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-enterprise.h )

############### Needed commands before building anything ###############

include_directories(${kdepim-runtime_SOURCE_DIR} ${kdepim-runtime_BINARY_DIR} ${AKONADI_INCLUDE_DIR} ${Boost_INCLUDE_DIR} ${KDE4_INCLUDES} ${KDEPIMLIBS_INCLUDE_DIRS})
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

############### Generate akonadi-config.h ###############

configure_file(akonadi-version.h.cmake "${kdepim-runtime_BINARY_DIR}/akonadi-version.h" @ONLY)


############### Macros ###############

# generates a D-Bus interface description from a KConfigXT file
macro(kcfg_generate_dbus_interface _kcfg _name)
  add_custom_command(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
    COMMAND ${XSLTPROC_EXECUTABLE} --stringparam interfaceName ${_name}
    ${KDEPIMLIBS_DATA_DIR}/akonadi-kde/kcfg2dbus.xsl
    ${_kcfg}
    > ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
    DEPENDS ${KDEPIMLIBS_DATA_DIR}/akonadi-kde/kcfg2dbus.xsl
    ${_kcfg}
    )
endmacro(kcfg_generate_dbus_interface)

# resource tests
macro( akonadi_add_resourcetest _testname _script )
  if ( ${EXECUTABLE_OUTPUT_PATH} )
    set( _exepath ${EXECUTABLE_OUTPUT_PATH} )
  else ( ${EXECUTABLE_OUTPUT_PATH} )
    set( _exepath ${kdepim-runtime_BINARY_DIR}/resourcetester )
  endif ( ${EXECUTABLE_OUTPUT_PATH} )
  if (WIN32)
    set(_resourcetester ${_exepath}/resourcetester.bat)
  else (WIN32)
    set(_resourcetester ${_exepath}/resourcetester)
  endif (WIN32)
  if (UNIX)
    set(_resourcetester ${_resourcetester}.shell)
  endif (UNIX)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${_script} ${CMAKE_CURRENT_BINARY_DIR}/${_script} COPYONLY)
  add_test( akonadi-mysql-db-${_testname} akonaditest -c ${kdepim-runtime_SOURCE_DIR}/resourcetester/tests/unittestenv/config-mysql-db.xml ${_resourcetester} -c ${CMAKE_CURRENT_BINARY_DIR}/${_script} )
endmacro( akonadi_add_resourcetest )

############### Now, we add the components ###############

add_subdirectory(resources)
add_subdirectory(agents)
add_subdirectory(libkdepim-copy)
add_subdirectory(plugins)
add_subdirectory(accountwizard)
add_subdirectory(defaultsetup)

if (NOT WINCE)
add_subdirectory(xml)
add_subdirectory(resourcetester)
add_subdirectory(kioslave)
add_subdirectory(kcm)
add_subdirectory(tray)
add_subdirectory(migration)
if (KDEPIMLIBS_KRESOURCES_LIBS)
  add_subdirectory(kresources)
endif (KDEPIMLIBS_KRESOURCES_LIBS)
endif(NOT WINCE)
if (QT_QTDECLARATIVE_FOUND)
  add_subdirectory(qml)
endif (QT_QTDECLARATIVE_FOUND)

#if(OPENSYNC_FOUND)
#  add_subdirectory(opensync)
#endif(OPENSYNC_FOUND)

############### Here we install some extra stuff  ###############

## install the MIME type spec file for KDEPIM specific MIME types
install(FILES kdepim-mime.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})

macro_display_feature_log()

=== debian/changelog ===
kdepim-runtime (4:4.7.2+git111007-0ubuntu1) oneiric; urgency=low

  * Update to KDE 4.7 branch head, commit 2271a28b

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Oct 2011 15:28:56 -0500

kdepim-runtime (4:4.7.2-0ubuntu1) oneiric; urgency=low

  * New upstream bugfix release
  * Auto start akonaditray by symlinking the desktop file to
    /usr/share/autostart

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 01 Oct 2011 23:42:23 +0530

kdepim-runtime (4:4.7.1+git110930-0ubuntu1) oneiric; urgency=low

  * Update to KDE 4.7 branch head, commit fec8aae3

 -- Scott Kitterman <scott@kitterman.com>  Fri, 30 Sep 2011 19:35:10 -0400

kdepim-runtime (4:4.7.1+git110927-0ubuntu1) oneiric; urgency=low

  * Update to KDE 4.7 branch head, commit 6b65ce45
    - Drop debian/patches/0001-Ignore-items-with-empty-remote-ids-here.patch
      as it's included in the updated snapshot

 -- Scott Kitterman <scott@kitterman.com>  Wed, 28 Sep 2011 00:33:36 -0400

kdepim-runtime (4:4.7.1-0ubuntu3) oneiric; urgency=low

  * Add debian/patches/0001-Ignore-items-with-empty-remote-ids-here.patch
    cherry-picked from upstream to fix mail loss inducing problem with pop3
    connections

 -- Scott Kitterman <scott@kitterman.com>  Wed, 21 Sep 2011 00:14:59 -0400

kdepim-runtime (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 16 Sep 2011 00:47:16 +0200

kdepim-runtime (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Sat, 03 Sep 2011 12:06:10 +0200

kdepim-runtime (4:4.7.0-0ubuntu1) oneiric; urgency=low

  * New upstrem release
    - update kdepim-runtime.install
    - Update Vcs lines for new branch location.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 22 Jul 2011 22:01:26 +0200

kdepim-runtime (4:4.6.0-0ubuntu1) UNRELEASED; urgency=low

  * New upstream release
    - refresh fix_ontology_vs_feeder_automoc_race_condition.diff
    - update kdepim-runtime.install
    - kdepim-runtime-dbg Breaks/Replaces kdepim-dbg << 4:4.5.96

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Sat, 11 Jun 2011 14:00:20 +0200

kdepim-runtime (4:4.4.11.1-2ubuntu1) oneiric; urgency=low

  [ Jonathan Thomas ]
  * Merge with Debian Unstable, remaining changes:
    - Keep versioned boost build-depends
    - Do not install the akonaditray .desktop file

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 30 May 2011 18:52:18 -0400

=== debian/control ===
Source: kdepim-runtime
Section: x11
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
 debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.6), kdepimlibs5-dev (>= 4:4.6), libakonadi-dev (>= 1.5.0),
 libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost1.46-dev,
 libstreamanalyzer-dev, shared-mime-info (>= 0.30), shared-desktop-ontologies (>= 0.2)
Standards-Version: 3.9.1
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim-runtime
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim-runtime

Package: kdepim-runtime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdepimlibs-kio-plugins, akonadi-server (>= 1.3)
Replaces: akonadi-kde, libmaildir4
Breaks: akonadi-kde, libmaildir4, kdepimlibs5 (<< 4:4.4)
Description: Runtime components for akonadi-kde
 This package contains akonadi agents written using kdelibs.
 Any package that uses akonadi should probably pull this in as a dependency.
 The kres-bridges is also parts of this package.
 .
 This package is part of the kdepim-runtime module.

Package: kdepim-runtime-dbg
Section: debug
Priority: extra
Architecture: any
Replaces: kdepim-dbg (<< 4:4.5.96)
Breaks: kdepim-dbg (<< 4:4.5.96)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: debugging files for akonadi kde runtime components
 This package contains debugging symbols.
 .
 This package is part of the kdepim-runtime module.
